Bug 1316175 - Review Request: fasd - A command-line productivity booster
Review Request: fasd - A command-line productivity booster
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 10:09 EST by Jan Včelák
Modified: 2016-05-23 07:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-23 07:33:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jskarvad: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jan Včelák 2016-03-09 10:09:40 EST
Spec URL: https://jvcelak.fedorapeople.org/review/fasd/1.0.1-1/fasd.spec
SRPM URL: https://jvcelak.fedorapeople.org/review/fasd/1.0.1-1/fasd-1.0.1-1.fc25.src.rpm

Description:
Fasd (pronounced similar to "fast") is a command-line productivity booster.
Fasd offers quick access to files and directories for POSIX shells. It is
inspired by tools like autojump, z and v. Fasd keeps track of files and
directories you have accessed, so that you can quickly reference them in the
command line.

Fedora Account System Username: jvcelak
Comment 1 Jaroslav Škarvada 2016-03-09 11:25:28 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "*No copyright* WTFPL", "WTFPL MIT/X11
     (BSD like)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in
     /var/tmp/y/x/1316175-fasd/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Jaroslav Škarvada <jskarvad@redhat.com>
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fasd-1.0.1-1.fc22.noarch.rpm
          fasd-1.0.1-1.fc22.src.rpm
fasd.noarch: W: spelling-error %description -l en_US autojump -> auto jump, auto-jump, automaton
fasd.src: W: spelling-error %description -l en_US autojump -> auto jump, auto-jump, automaton
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
fasd.noarch: W: spelling-error %description -l en_US autojump -> auto jump, auto-jump, automaton
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
fasd (rpmlib, GLIBC filtered):
    /bin/sh



Provides
--------
fasd:
    fasd



Source checksums
----------------
https://github.com/clvv/fasd/archive/1.0.1.tar.gz#/fasd-1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 88efdfbbed8df408699a14fa6c567450bf86480f5ff3dde42d0b3e1dee731f65
  CHECKSUM(SHA256) upstream package : 88efdfbbed8df408699a14fa6c567450bf86480f5ff3dde42d0b3e1dee731f65


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1316175
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Comments:
Package doesn't seem to preserver timestamps on installed files, patch should be pull requested upstream:
-INSTALL?= install
+INSTALL?= install -p

You could also workaround it in the spec:
make install PREFIX=%{buildroot}%{_prefix} INSTALL="install -p"

This is not mandatory, thus approving.
Comment 2 Gwyn Ciesla 2016-03-09 13:22:33 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/fasd
Comment 3 Fedora Update System 2016-03-09 15:38:03 EST
fasd-1.0.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1e28b4c3d4
Comment 4 Fedora Update System 2016-03-09 15:38:07 EST
fasd-1.0.1-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5762c2c812
Comment 5 Fedora Update System 2016-03-09 15:38:12 EST
fasd-1.0.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-931cee65c9
Comment 6 Fedora Update System 2016-03-09 15:38:17 EST
fasd-1.0.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-51695c64ac
Comment 7 Jan Včelák 2016-03-09 15:40:17 EST
(In reply to Jaroslav Škarvada from comment #1)
> Comments:
> Package doesn't seem to preserver timestamps on installed files, patch
> should be pull requested upstream:
> -INSTALL?= install
> +INSTALL?= install -p

Reported upstream: https://github.com/clvv/fasd/pull/83

Thanks for the review!
Comment 8 Fedora Update System 2016-03-09 20:54:55 EST
fasd-1.0.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-51695c64ac
Comment 9 Fedora Update System 2016-03-10 10:53:26 EST
fasd-1.0.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5762c2c812
Comment 10 Fedora Update System 2016-03-10 10:55:40 EST
fasd-1.0.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1e28b4c3d4
Comment 11 Fedora Update System 2016-03-10 11:53:28 EST
fasd-1.0.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-931cee65c9
Comment 12 Fedora Update System 2016-03-19 22:30:05 EDT
fasd-1.0.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-03-26 14:14:34 EDT
fasd-1.0.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-03-27 20:53:53 EDT
fasd-1.0.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-03-27 21:55:12 EDT
fasd-1.0.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.